Page MenuHomeFreeBSD

New port: net-mgmt/py-nxapi-plumbing: Low-level library for managing Cisco devices through NX-API
ClosedPublic

Authored by kai on Feb 21 2019, 10:55 PM.

Details

Summary

Low-level library for managing Cisco devices through NX-API using JSON-RPC and
XML.

It's the successor of net-mgmt/py-pynxos with a more open license.

WWW: https://github.com/ktbyers/nxapi-plumbing

Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT@r344112 amd64 + i386) for each py27 + py36 flavor -> OK
  • portlint -> OK
  • Runtime tests with py27 + py36 -> OK

Notes:

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Feb 21 2019, 10:55 PM
linimon retitled this revision from New port: net-mgmt/py-nxapi-plumbing to New port: net-mgmt/py-nxapi-plumbing: Low-level library for managing Cisco devices through NX-API.Feb 22 2019, 5:27 AM
kai updated this revision to Diff 54268.Feb 23 2019, 8:48 PM

Added the required change to net-mgmt/Makefile.

miwi accepted this revision.Feb 28 2019, 11:40 AM

LGTM

This revision is now accepted and ready to land.Feb 28 2019, 11:40 AM
This revision was automatically updated to reflect the committed changes.